<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.xwpf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.xwpf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.xwpf.usermodel" class="title">Uses of Package<br>org.apache.poi.xwpf.usermodel
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xwpf.extractor">org.apache.poi.xwpf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xwpf.model">org.apache.poi.xwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xwpf.usermodel">org.apache.poi.xwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xwpf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xwpf/extractor/package-summary.html">org.apache.poi.xwpf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/IBodyElement.html#org.apache.poi.xwpf.extractor">IBodyElement</a>
                        <div class="block">9 Jan 2010</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFDocument.html#org.apache.poi.xwpf.extractor">XWPFDocument</a>
                        <div class="block">High(ish) level class for working with .docx files.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFParagraph.html#org.apache.poi.xwpf.extractor">XWPFParagraph</a>
                        <div class="block">A Paragraph within a Document, Table, Header etc.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFRelation.html#org.apache.poi.xwpf.extractor">XWPFRelation</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xwpf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xwpf/model/package-summary.html">org.apache.poi.xwpf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFDocument.html#org.apache.poi.xwpf.model">XWPFDocument</a>
                        <div class="block">High(ish) level class for working with .docx files.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFFooter.html#org.apache.poi.xwpf.model">XWPFFooter</a>
                        <div class="block">Sketch of XWPF footer class</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFHeader.html#org.apache.poi.xwpf.model">XWPFHeader</a>
                        <div class="block">Sketch of XWPF header class</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFParagraph.html#org.apache.poi.xwpf.model">XWPFParagraph</a>
                        <div class="block">A Paragraph within a Document, Table, Header etc.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xwpf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xwpf/usermodel/package-summary.html">org.apache.poi.xwpf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/BodyElementType.html#org.apache.poi.xwpf.usermodel">BodyElementType</a>
                        <div class="block">
                            9 Jan 2010
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/BodyType.html#org.apache.poi.xwpf.usermodel">BodyType</a>
                        <div class="block">The different kinds of <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html"
                                title="interface in org.apache.poi.xwpf.usermodel"><code>IBody</code></a> that exist
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/Borders.html#org.apache.poi.xwpf.usermodel">Borders</a>
                        <div class="block">Specifies all types of borders which can be specified for WordprocessingML
                            objects which have a border.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/BreakClear.html#org.apache.poi.xwpf.usermodel">BreakClear</a>
                        <div class="block">Specifies the set of possible restart locations which may be used as to
                            determine the next available line when a break's type attribute has a value
                            of textWrapping.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/BreakType.html#org.apache.poi.xwpf.usermodel">BreakType</a>
                        <div class="block">Specifies the possible types of break characters in a WordprocessingML
                            document.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/Document.html#org.apache.poi.xwpf.usermodel">Document</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/FootnoteEndnoteIdManager.html#org.apache.poi.xwpf.usermodel">FootnoteEndnoteIdManager</a>
                        <div class="block">Manages IDs for footnotes and endnotes.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/IBody.html#org.apache.poi.xwpf.usermodel">IBody</a>
                        <div class="block">An IBody represents the different parts of the document which
                            can contain collections of Paragraphs and Tables.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/IBodyElement.html#org.apache.poi.xwpf.usermodel">IBodyElement</a>
                        <div class="block">9 Jan 2010</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/ICell.html#org.apache.poi.xwpf.usermodel">ICell</a>
                        <div class="block">Interface for anything that can be at a table cell level:
                            <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                               title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTableCell</code></a>, <a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDTCell.html"
                                    title="class in org.apache.poi.xwpf.usermodel"><code>XWPFSDTCell</code></a></div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/IRunBody.html#org.apache.poi.xwpf.usermodel">IRunBody</a>
                        <div class="block">Simple interface describing both <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>
                            and <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDT.html"
                                   title="class in org.apache.poi.xwpf.usermodel"><code>XWPFSDT</code></a></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/IRunElement.html#org.apache.poi.xwpf.usermodel">IRunElement</a>
                        <div class="block">Common interface for things that can occur
                            where a run (text with common stylings) can,
                            eg <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                                  title="class in org.apache.poi.xwpf.usermodel"><code>XWPFRun</code></a> or <a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDT.html"
                                    title="class in org.apache.poi.xwpf.usermodel"><code>XWPFSDT</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/ISDTContent.html#org.apache.poi.xwpf.usermodel">ISDTContent</a>
                        <div class="block">Experimental interface to offer rudimentary read-only processing of
                            of the contentblock of an SDT/ContentControl.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/ISDTContents.html#org.apache.poi.xwpf.usermodel">ISDTContents</a>
                        <div class="block">Interface for anything that can be within an SDT:
                            <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                               title="class in org.apache.poi.xwpf.usermodel"><code>XWPFRun</code></a>, <a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                    title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>, <a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                    title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a>,
                            <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFSDT.html"
                               title="class in org.apache.poi.xwpf.usermodel"><code>XWPFSDT</code></a> etc
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/LineSpacingRule.html#org.apache.poi.xwpf.usermodel">LineSpacingRule</a>
                        <div class="block">Specifies the logic which shall be used to calculate the line spacing of the
                            parent object when it is displayed in the document.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/ParagraphAlignment.html#org.apache.poi.xwpf.usermodel">ParagraphAlignment</a>
                        <div class="block">Specifies all types of alignment which are available to be applied to objects
                            in a
                            WordprocessingML document
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/PositionInParagraph.html#org.apache.poi.xwpf.usermodel">PositionInParagraph</a>
                        <div class="block">postion of a character in a paragrapho
                            1st RunPositon
                            2nd TextPosition
                            3rd CharacterPosition
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/TableRowAlign.html#org.apache.poi.xwpf.usermodel">TableRowAlign</a>
                        <div class="block">Sets alignment values allowed for Tables and Table Rows</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/TableWidthType.html#org.apache.poi.xwpf.usermodel">TableWidthType</a>
                        <div class="block">The width types for tables and table cells.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/TextAlignment.html#org.apache.poi.xwpf.usermodel">TextAlignment</a>
                        <div class="block">Specifies all types of vertical alignment which are available to be applied
                            to of all text
                            on each line displayed within a paragraph.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/TextSegment.html#org.apache.poi.xwpf.usermodel">TextSegment</a>
                        <div class="block">saves the begin and end position of a text in a Paragraph</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/UnderlinePatterns.html#org.apache.poi.xwpf.usermodel">UnderlinePatterns</a>
                        <div class="block">Specifies the types of patterns which may be used to create the underline
                            applied beneath the text in a run.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/VerticalAlign.html#org.apache.poi.xwpf.usermodel">VerticalAlign</a>
                        <div class="block">Specifies possible values for the alignment of the contents of this run in
                            relation to the default appearance of the run's text.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFAbstractFootnoteEndnote.html#org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a>
                        <div class="block">Base class for both bottom-of-the-page footnotes <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFootnote.html"
                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFFootnote</code></a> and end
                            notes <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnote.html"
                                     title="class in org.apache.poi.xwpf.usermodel"><code>XWPFEndnote</code></a>).
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFAbstractFootnotesEndnotes.html#org.apache.poi.xwpf.usermodel">XWPFAbstractFootnotesEndnotes</a>
                        <div class="block">Base class for the Footnotes and Endnotes part implementations.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFAbstractNum.html#org.apache.poi.xwpf.usermodel">XWPFAbstractNum</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFAbstractSDT.html#org.apache.poi.xwpf.usermodel">XWPFAbstractSDT</a>
                        <div class="block">Experimental abstract class that is a base for XWPFSDT and XWPFSDTCell</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFChart.html#org.apache.poi.xwpf.usermodel">XWPFChart</a>
                        <div class="block">Represents a Chart in a .docx file</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFComment.html#org.apache.poi.xwpf.usermodel">XWPFComment</a>
                        <div class="block">Sketch of XWPF comment class</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFDefaultParagraphStyle.html#org.apache.poi.xwpf.usermodel">XWPFDefaultParagraphStyle</a>
                        <div class="block">Default Paragraph style, from which other styles will override
                            TODO Share logic with <a
                                    href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                    title="class in org.apache.poi.xwpf.usermodel"><code>XWPFParagraph</code></a> which
                            also uses CTPPr
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFDefaultRunStyle.html#org.apache.poi.xwpf.usermodel">XWPFDefaultRunStyle</a>
                        <div class="block">Default Character Run style, from which other styles will override
                            TODO Share logic with <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                                                     title="class in org.apache.poi.xwpf.usermodel"><code>XWPFRun</code></a>
                            which also uses CTRPr
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFDocument.html#org.apache.poi.xwpf.usermodel">XWPFDocument</a>
                        <div class="block">High(ish) level class for working with .docx files.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFEndnote.html#org.apache.poi.xwpf.usermodel">XWPFEndnote</a>
                        <div class="block">Represents an end note footnote.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFEndnotes.html#org.apache.poi.xwpf.usermodel">XWPFEndnotes</a>
                        <div class="block">Looks after the collection of end notes for a document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFFactory.html#org.apache.poi.xwpf.usermodel">XWPFFactory</a>
                        <div class="block">Instantiates sub-classes of POIXMLDocumentPart depending on their
                            relationship type
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFFooter.html#org.apache.poi.xwpf.usermodel">XWPFFooter</a>
                        <div class="block">Sketch of XWPF footer class</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFFootnote.html#org.apache.poi.xwpf.usermodel">XWPFFootnote</a>
                        <div class="block">Represents a bottom-of-the-page footnote.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFFootnotes.html#org.apache.poi.xwpf.usermodel">XWPFFootnotes</a>
                        <div class="block">Looks after the collection of Footnotes for a document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFHeader.html#org.apache.poi.xwpf.usermodel">XWPFHeader</a>
                        <div class="block">Sketch of XWPF header class</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFHeaderFooter.html#org.apache.poi.xwpf.usermodel">XWPFHeaderFooter</a>
                        <div class="block">Parent of XWPF headers and footers</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFHyperlink.html#org.apache.poi.xwpf.usermodel">XWPFHyperlink</a>
                        <div class="block">Sketch of XWPF hyperlink class</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFLatentStyles.html#org.apache.poi.xwpf.usermodel">XWPFLatentStyles</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFNum.html#org.apache.poi.xwpf.usermodel">XWPFNum</a>
                        <div class="block">TODO Bring more of the logic over from XWPFParagraph</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFNumbering.html#org.apache.poi.xwpf.usermodel">XWPFNumbering</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFParagraph.html#org.apache.poi.xwpf.usermodel">XWPFParagraph</a>
                        <div class="block">A Paragraph within a Document, Table, Header etc.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFPicture.html#org.apache.poi.xwpf.usermodel">XWPFPicture</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFPictureData.html#org.apache.poi.xwpf.usermodel">XWPFPictureData</a>
                        <div class="block">Raw picture data, normally attached to a WordprocessingML Drawing.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFRelation.html#org.apache.poi.xwpf.usermodel">XWPFRelation</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFRun.html#org.apache.poi.xwpf.usermodel">XWPFRun</a>
                        <div class="block">XWPFRun object defines a region of text with a common set of properties</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFRun.FontCharRange.html#org.apache.poi.xwpf.usermodel">XWPFRun.FontCharRange</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFSDT.html#org.apache.poi.xwpf.usermodel">XWPFSDT</a>
                        <div class="block">Experimental class to offer rudimentary read-only processing of
                            of StructuredDocumentTags/ContentControl
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFStyle.html#org.apache.poi.xwpf.usermodel">XWPFStyle</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFStyles.html#org.apache.poi.xwpf.usermodel">XWPFStyles</a>
                        <div class="block">Holds details of built-in, default and user styles, which
                            apply to tables / paragraphs / lists etc.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFTable.html#org.apache.poi.xwpf.usermodel">XWPFTable</a>
                        <div class="block">Sketch of XWPFTable class.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFTable.XWPFBorderType.html#org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFTableCell.html#org.apache.poi.xwpf.usermodel">XWPFTableCell</a>
                        <div class="block">Represents a Cell within a <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFTableCell.XWPFVertAlign.html#org.apache.poi.xwpf.usermodel">XWPFTableCell.XWPFVertAlign</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xwpf/usermodel/class-use/XWPFTableRow.html#org.apache.poi.xwpf.usermodel">XWPFTableRow</a>
                        <div class="block">A row within an <a
                                href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
